Qt 5.13 | Qt Quick | QML Types | ConicalGradient QML Type

Qt 5.13.2 Reference Documentation

# ConicalGradient QML Type

Conical gradient. More...

Import Statement: | import QtQuick.Shapes 1.13
Since: | Qt 5.10
Inherits: | ShapeGradient

- List of all members, including inherited members

## Properties

- angle : real
- centerX : real
- centerY : real

## Detailed Description

Conical gradients interpolate colors counter-clockwise around a center point in Shape items.

Note: The spread mode setting has no effect for conical gradients.

Note: ConicalGradient is only supported in combination with Shape items. It is not compatible with Rectangle, as that only supports Gradient.

See also QConicalGradient.

## Property Documentation

centerX : real
centerY : real

These properties define the center point of the conical gradient.

angle : real

This property defines the start angle for the conical gradient. The value is in degrees (0-360).